<?php

namespace Drupal\monarch_migration\Plugin\MigrationMapper;

use Drupal\migrate\Row;
use Drupal\migrate\MigrateSkipRowException;
use Drupal\migrate\Plugin\MigrationInterface;

/**
 * Attempts to skip internal users.
 *
 * @MigrationMapper(
 *   id = "user_skip",
 *   migration = "user",
 * )
 */
class UserSkip extends MigrationMapperBase {

  /**
   * The prepareRow event.
   */
  public function prepareRow(Row $row, MigrationInterface $migration) {
    if ($mail = $row->getSourceProperty('mail')) {
      $parts = explode('@', $mail);

      if (end($parts) === 'monarchdigital.com') {
        throw new MigrateSkipRowException('User email belongs to Monarch Digital. Do not migrate!');
      }
    }
  }

}
